org.apache.thrift.async

## Enum TAsyncMethodCall.State

- java.lang.Object
- - java.lang.Enum<TAsyncMethodCall.State>
  - - org.apache.thrift.async.TAsyncMethodCall.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TAsyncMethodCall.State>
  Enclosing class:
    TAsyncMethodCall<T>

      public static enum TAsyncMethodCall.State
      extends java.lang.Enum<TAsyncMethodCall.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTING`
    `ERROR`
    `READING_RESPONSE_BODY`
    `READING_RESPONSE_SIZE`
    `RESPONSE_READ`
    `WRITING_REQUEST_BODY`
    `WRITING_REQUEST_SIZE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TAsyncMethodCall.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TAsyncMethodCall.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTING

          public static final TAsyncMethodCall.State CONNECTING

    - #### WRITING_REQUEST_SIZE

          public static final TAsyncMethodCall.State WRITING_REQUEST_SIZE

    - #### WRITING_REQUEST_BODY

          public static final TAsyncMethodCall.State WRITING_REQUEST_BODY

    - #### READING_RESPONSE_SIZE

          public static final TAsyncMethodCall.State READING_RESPONSE_SIZE

    - #### READING_RESPONSE_BODY

          public static final TAsyncMethodCall.State READING_RESPONSE_BODY

    - #### RESPONSE_READ

          public static final TAsyncMethodCall.State RESPONSE_READ

    - #### ERROR

          public static final TAsyncMethodCall.State ERROR

  - ### Method Detail

    - #### values

          public static TAsyncMethodCall.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TAsyncMethodCall.State c : TAsyncMethodCall.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TAsyncMethodCall.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null